NMActiveConnection
3
LIBNM-GLIB Library

# NMActiveConnection

## Synopsis

    #define             NM_ACTIVE_CONNECTION_SERVICE_NAME
    #define             NM_ACTIVE_CONNECTION_CONNECTION
    #define             NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT
    #define             NM_ACTIVE_CONNECTION_DEVICES
    #define             NM_ACTIVE_CONNECTION_STATE
    #define             NM_ACTIVE_CONNECTION_DEFAULT
                        NMActiveConnection;
    GObject*            nm_active_connection_new            (DBusGConnection *connection,
                                                             const char *path);
    const char*         nm_active_connection_get_service_name
                                                            (NMActiveConnection *connection);
    NMConnectionScope   nm_active_connection_get_scope      (NMActiveConnection *connection);
    const char*         nm_active_connection_get_connection (NMActiveConnection *connection);
    const char*         nm_active_connection_get_specific_object
                                                            (NMActiveConnection *connection);
    const GPtrArray*    nm_active_connection_get_devices    (NMActiveConnection *connection);
    NMActiveConnectionState nm_active_connection_get_state  (NMActiveConnection *connection);
    gboolean            nm_active_connection_get_default    (NMActiveConnection *connection);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMActiveConnection

## Properties

      "connection"               gchararray            : Read
      "default"                  gboolean              : Read
      "devices"                  nm-object-array       : Read
      "service-name"             gchararray            : Read
      "specific-object"          gchararray            : Read
      "state"                    guint                 : Read

## Description

## Details

### NM_ACTIVE_CONNECTION_SERVICE_NAME

    #define NM_ACTIVE_CONNECTION_SERVICE_NAME        "service-name"

### NM_ACTIVE_CONNECTION_CONNECTION

    #define NM_ACTIVE_CONNECTION_CONNECTION          "connection"

### NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT

    #define NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT     "specific-object"

### NM_ACTIVE_CONNECTION_DEVICES

    #define NM_ACTIVE_CONNECTION_DEVICES             "devices"

### NM_ACTIVE_CONNECTION_STATE

    #define NM_ACTIVE_CONNECTION_STATE               "state"

### NM_ACTIVE_CONNECTION_DEFAULT

    #define NM_ACTIVE_CONNECTION_DEFAULT             "default"

### NMActiveConnection

    typedef struct _NMActiveConnection NMActiveConnection;

### nm_active_connection_new ()

    GObject*            nm_active_connection_new            (DBusGConnection *connection,
                                                             const char *path);

Creates a new NMActiveConnection.

`connection` :

  the DBusGConnection

`path` :

  the DBus object path of the device

Returns :

  a new active connection

### nm_active_connection_get_service_name ()

    const char*         nm_active_connection_get_service_name
                                                            (NMActiveConnection *connection);

Gets the service name of the active connection.

`connection` :

  a NMActiveConnection

Returns :

  the service name. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_scope ()

    NMConnectionScope   nm_active_connection_get_scope      (NMActiveConnection *connection);

Gets the scope of the active connection.

`connection` :

  a NMActiveConnection

Returns :

  the connection's scope

### nm_active_connection_get_connection ()

    const char*         nm_active_connection_get_connection (NMActiveConnection *connection);

Gets the NMConnection's DBus object path.

`connection` :

  a NMActiveConnection

Returns :

  the object path of the NMConnection inside of NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_specific_object ()

    const char*         nm_active_connection_get_specific_object
                                                            (NMActiveConnection *connection);

Gets the "specific object" used at the activation.

`connection` :

  a NMActiveConnection

Returns :

  the specific object's DBus path. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_devices ()

    const GPtrArray*    nm_active_connection_get_devices    (NMActiveConnection *connection);

Gets the NMDevices used for the active connections.

`connection` :

  a NMActiveConnection

Returns :

  the GPtrArray containing NMDevices. This is the internal copy used by the connection, and must not be modified.

### nm_active_connection_get_state ()

    NMActiveConnectionState nm_active_connection_get_state  (NMActiveConnection *connection);

Gets the active connection's state.

`connection` :

  a NMActiveConnection

Returns :

  the state

### nm_active_connection_get_default ()

    gboolean            nm_active_connection_get_default    (NMActiveConnection *connection);

Whether the active connection is the default one (that is, is used for the default route and DNS information).

`connection` :

  a NMActiveConnection

Returns :

  `TRUE` if the active connection is the default one

## Property Details

### The `"connection"` property

      "connection"               gchararray            : Read

The connection's path of the active connection.

Default value: NULL

### The `"default"` property

      "default"                  gboolean              : Read

Whether the active connection is the default one.

Default value: FALSE

### The `"devices"` property

      "devices"                  nm-object-array       : Read

Devices.

### The `"service-name"` property

      "service-name"             gchararray            : Read

The service name of the active connection.

Default value: NULL

### The `"specific-object"` property

      "specific-object"          gchararray            : Read

The specific object's path of the active connection.

Default value: NULL

### The `"state"` property

      "state"                    guint                 : Read

The state of the active connection.

Allowed values: <= 2

Default value: 0